import React__default from "react";
import { diffSourcePluginHooks } from "./index.js";
import { DiffViewer } from "./DiffViewer.js";
import { SourceEditor } from "./SourceEditor.js";
import { corePluginHooks } from "../core/index.js";
import styles from "../../styles/ui.module.css.js";
const DiffSourceWrapper = ({ children }) => {
  const [error] = corePluginHooks.useEmitterValues("markdownProcessingError");
  const [viewMode] = diffSourcePluginHooks.useEmitterValues("viewMode");
  return /* @__PURE__ */ React__default.createElement("div", null, error ? /* @__PURE__ */ React__default.createElement("div", { className: styles.markdownParseError }, /* @__PURE__ */ React__default.createElement("p", null, error.error, "."), /* @__PURE__ */ React__default.createElement("p", null, "You can fix the errors in source mode and switch to rich text mode when you are ready.")) : null, /* @__PURE__ */ React__default.createElement("div", { style: { display: viewMode === "rich-text" && error == null ? "block" : "none" } }, children), viewMode === "diff" ? /* @__PURE__ */ React__default.createElement(DiffViewer, null) : null, viewMode === "source" ? /* @__PURE__ */ React__default.createElement(SourceEditor, null) : null);
};
export {
  DiffSourceWrapper
};
